package kr.co.vividnext.sodalive.admin.statistics.ad

import com.querydsl.core.annotations.QueryProjection

data class GetAdminAdStatisticsResponse(
    val totalCount: Int,
    val items: List<GetAdminAdStatisticsItem>
)

data class GetAdminAdStatisticsItem @QueryProjection constructor(
    val date: String,
    val mediaGroup: String,
    val pid: String,
    val pidName: String,
    val loginCount: Int,
    val signUpCount: Int,
    val firstPaymentCount: Int,
    val firstPaymentTotalAmount: Double,
    val repeatPaymentCount: Int,
    val repeatPaymentTotalAmount: Double,
    val allPaymentCount: Int,
    val allPaymentTotalAmount: Double
)
