package kr.co.vividnext.sodalive.audition.applicant

import com.querydsl.core.annotations.QueryProjection

data class GetAuditionApplicantListResponse(
    val totalCount: Int,
    val items: List<GetAuditionRoleApplicantItem>
)

data class GetAuditionRoleApplicantItem @QueryProjection constructor(
    val applicantId: Long,
    val memberId: Long,
    val nickname: String,
    val profileImageUrl: String,
    val voiceUrl: String,
    val voteCount: Long
)
