package kr.co.vividnext.sodalive.can.coupon

import com.querydsl.core.annotations.QueryProjection

data class GetCouponNumberListResponse(
    val totalCount: Int,
    val items: List<GetCouponNumberListItemResponse>
)

data class GetCouponNumberListItemResponse @QueryProjection constructor(
    val couponNumberId: Long,
    val couponNumber: String,
    val isUsed: Boolean
)
