package kr.co.vividnext.sodalive.can.use

import kr.co.vividnext.sodalive.can.payment.PaymentGateway

data class TotalSpentCan(
    val spentCans: MutableList<SpentCan> = mutableListOf(),
    val total: Int
) {
    fun verify(): Boolean {
        val sumSpentCans = spentCans.fold(0) { sum, spentCan -> sum + spentCan.can }
        return total == sumSpentCans
    }
}

data class SpentCan(
    val paymentGateway: PaymentGateway,
    val can: Int
)
