package kr.co.vividnext.sodalive.email

import com.amazonaws.services.simpleemail.AmazonSimpleEmailService
import org.springframework.stereotype.Service

@Service
class SendEmailService(private val amazonSimpleEmailService: AmazonSimpleEmailService) {
    fun sendTemplatedEmail(template: String, templateData: String, receiver: String) {
        val senderDto = TemplatedEmailSenderDto(
            senderEmail = "yozmlive.noreply@gmail.com",
            template = template,
            templateData = templateData,
            to = receiver
        )

        amazonSimpleEmailService.sendTemplatedEmail(senderDto.toSendRequest())
    }
}
