package kr.co.vividnext.sodalive.admin.audition

import com.querydsl.core.annotations.QueryProjection
import kr.co.vividnext.sodalive.audition.AuditionStatus

data class GetAuditionDetailRawData @QueryProjection constructor(
    val id: Long,
    val title: String,
    val imageUrl: String,
    val information: String,
    val originalWorkUrl: String
)

data class GetAuditionDetailResponse(
    val id: Long,
    val title: String,
    val imageUrl: String,
    val information: String,
    val originalWorkUrl: String,
    val roleList: List<GetAuditionRoleListData>
)

data class GetAuditionRoleListData @QueryProjection constructor(
    val id: Long,
    val name: String,
    val imageUrl: String,
    val information: String,
    val auditionScriptUrl: String,
    val status: AuditionStatus
)
