package kr.co.vividnext.sodalive.admin.content

import com.querydsl.core.annotations.QueryProjection

data class GetAdminContentListResponse(
    val totalCount: Int,
    val items: List<GetAdminContentListItem>
)

data class GetAdminContentListItem @QueryProjection constructor(
    val audioContentId: Long,
    val title: String,
    val detail: String,
    val curationTitle: String?,
    val curationId: Long,
    var coverImageUrl: String,
    val creatorNickname: String,
    val theme: String,
    val themeId: Long,
    val price: Int,
    val totalContentCount: Int?,
    val remainingContentCount: Int?,
    val isAdult: Boolean,
    val remainingTime: String,
    var contentUrl: String,
    val isCommentAvailable: Boolean,
    val date: String,
    val releaseDate: String?
) {
    var tags: String = ""
}
