package kr.co.vividnext.sodalive.admin.content.series

import com.querydsl.core.annotations.QueryProjection

data class GetAdminSeriesListResponse(
    val totalCount: Int,
    val items: List<GetAdminSeriesListItem>
)

data class GetAdminSeriesListItem @QueryProjection constructor(
    val id: Long,
    val title: String,
    val introduction: String,
    val coverImageUrl: String,
    val creatorNickname: String,
    val genre: String,
    val numberOfWorks: Long,
    val state: String,
    val isAdult: Boolean
)

data class GetAdminSearchSeriesListItem @QueryProjection constructor(
    val id: Long,
    val title: String
)
