package kr.co.vividnext.sodalive.can.use

import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface UseCanCalculateRepository : JpaRepository<UseCanCalculate, Long> {
    fun findByUseCanIdAndStatus(
        useCanId: Long,
        status: UseCanCalculateStatus = UseCanCalculateStatus.RECEIVED
    ): List<UseCanCalculate>
}
