package kr.co.vividnext.sodalive.content.main.tab.content

import kr.co.vividnext.sodalive.content.ContentType
import kr.co.vividnext.sodalive.content.main.GetAudioContentMainItem
import org.springframework.stereotype.Service

@Service
class ContentMainTabTagCurationService(private val repository: ContentMainTabTagCurationRepository) {
    fun getTagList(isAdult: Boolean, contentType: ContentType): List<String> {
        return repository.getTagList(isAdult = isAdult, contentType = contentType)
    }

    fun getTagCurationContentList(
        memberId: Long,
        tag: String,
        contentType: ContentType
    ): List<GetAudioContentMainItem> {
        return repository.getTagCurationContentList(memberId = memberId, tag = tag, contentType = contentType)
    }
}
