package kr.co.vividnext.sodalive.live.room

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.live.tag.LiveTag
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne

@Entity
class LiveRoomTag(
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "live_room_id", nullable = false)
    var room: LiveRoom,

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "live_tag_id", nullable = false)
    var tag: LiveTag
) : BaseEntity()
