package kr.co.vividnext.sodalive.member.signUp

import kr.co.vividnext.sodalive.member.Gender

data class SignUpRequest(
    val email: String,
    val password: String,
    val nickname: String,
    val gender: Gender,
    val marketingPid: String? = null,
    val isAgreeTermsOfService: Boolean,
    val isAgreePrivacyPolicy: Boolean,
    val container: String = "api"
)

data class SignUpRequestV2(
    val email: String,
    val password: String,
    val marketingPid: String? = null,
    val isAgreeTermsOfService: Boolean,
    val isAgreePrivacyPolicy: Boolean,
    val container: String = "api"
)
